Skip to content
Start here

Get R2 catalog details

client.r2DataCatalog.get(stringbucketName, R2DataCatalogGetParams { account_id } params, RequestOptionsoptions?): R2DataCatalogGetResponse { id, bucket, name, 3 more }
GET/accounts/{account_id}/r2-catalog/{bucket_name}

Retrieve detailed information about a specific R2 catalog by bucket name. Returns catalog status, maintenance configuration, and credential status.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog WriteWorkers R2 Data Catalog Read
ParametersExpand Collapse
bucketName: string

Specifies the R2 bucket name.

maxLength63
minLength3
params: R2DataCatalogGetParams { account_id }
account_id: string

Use this to identify the account.

ReturnsExpand Collapse
R2DataCatalogGetResponse { id, bucket, name, 3 more }

Contains R2 Data Catalog information.

id: string

Use this to uniquely identify the catalog.

formatuuid
bucket: string

Specifies the associated R2 bucket name.

name: string

Specifies the catalog name (generated from account and bucket name).

status: "active" | "inactive"

Indicates the status of the catalog.

One of the following:
"active"
"inactive"
credential_status?: "present" | "absent" | null

Shows the credential configuration status.

One of the following:
"present"
"absent"
maintenance_config?: MaintenanceConfig | null

Configures maintenance for the catalog.

compaction?: Compaction { state, target_size_mb }

Configures compaction for catalog maintenance.

state: "enabled" | "disabled"

Specifies the state of maintenance operations.

One of the following:
"enabled"
"disabled"
target_size_mb: "64" | "128" | "256" | "512"

Sets the target file size for compaction in megabytes. Defaults to “128”.

One of the following:
"64"
"128"
"256"
"512"
snapshot_expiration?: SnapshotExpiration { max_snapshot_age, min_snapshots_to_keep, state }

Configures snapshot expiration settings.

max_snapshot_age: string

Specifies the maximum age for snapshots. The system deletes snapshots older than this age. Format: where unit is d (days), h (hours), m (minutes), or s (seconds). Examples: “7d” (7 days), “48h” (48 hours), “2880m” (2,880 minutes). Defaults to “7d”.

min_snapshots_to_keep: number

Specifies the minimum number of snapshots to retain. Defaults to 100.

formatint64
minimum1
state: "enabled" | "disabled"

Specifies the state of maintenance operations.

One of the following:
"enabled"
"disabled"

Get R2 catalog details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const r2DataCatalog = await client.r2DataCatalog.get('my-data-bucket', {
  account_id: '0123456789abcdef0123456789abcdef',
});

console.log(r2DataCatalog.id);
{
  "errors": [],
  "messages": [],
  "result": {
    "bucket": "analytics-bucket",
    "credential_status": "present",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "maintenance_config": {
      "compaction": {
        "state": "enabled",
        "target_size_mb": "128"
      },
      "snapshot_expiration": {
        "max_snapshot_age": "7d",
        "min_snapshots_to_keep": 100,
        "state": "enabled"
      }
    },
    "name": "account123_analytics-bucket",
    "status": "active"
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "bucket": "analytics-bucket",
    "credential_status": "present",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "maintenance_config": {
      "compaction": {
        "state": "enabled",
        "target_size_mb": "128"
      },
      "snapshot_expiration": {
        "max_snapshot_age": "7d",
        "min_snapshots_to_keep": 100,
        "state": "enabled"
      }
    },
    "name": "account123_analytics-bucket",
    "status": "active"
  },
  "success": true
}